Index: typo3/sysext/install/mod/class.tx_install.php
===================================================================
--- typo3/sysext/install/mod/class.tx_install.php	(revision 7301)
+++ typo3/sysext/install/mod/class.tx_install.php	(working copy)
@@ -3340,14 +3338,14 @@
 						);
 					}
 						// Substitute the subpart for the database tables
-					$databaseAvailableSubpart = $this->contentObject->substituteSubpart(
+					$databaseAvailableSubpart = t3lib_parsehtml::substituteSubpart(
 						$databaseAvailableSubpart,
 						'###DATABASEITEM###',
 						implode(chr(10), $databaseItems)
 					);
 				} else {
 						// Get the subpart when the database is not available
-					$databaseNotAvailableSubpart = $this->contentObject->getSubpart($databasesSubpart, '###DATABASENOTAVAILABLE###');
+					$databaseNotAvailableSubpart = t3lib_parsehtml::getSubpart($databasesSubpart, '###DATABASENOTAVAILABLE###');
 					$databaseNotAvailableMarkers = array(
 						'typo3Db' => htmlspecialchars(TYPO3_db),
 						'labelNoDatabase' => '
@@ -3356,7 +3354,7 @@
 						'
 					);
 						// Fill the markers in the subpart
-					$databaseNotAvailableSubpart = $this->contentObject->substituteMarkerArray(
+					$databaseNotAvailableSubpart = t3lib_parsehtml::substituteMarkerArray(
 						$databaseNotAvailableSubpart,
 						$databaseNotAvailableMarkers,
 						'###|###',
@@ -3365,25 +3363,25 @@
 					);
 				}
 					// Substitute the subpart when database is available
-				$databasesSubpart = $this->contentObject->substituteSubpart(
+				$databasesSubpart = t3lib_parsehtml::substituteSubpart(
 					$databasesSubpart,
 					'###DATABASEAVAILABLE###',
 					$databaseAvailableSubpart
 				);
 					// Substitute the subpart when database is not available
-				$databasesSubpart = $this->contentObject->substituteSubpart(
+				$databasesSubpart = t3lib_parsehtml::substituteSubpart(
 					$databasesSubpart,
 					'###DATABASENOTAVAILABLE###',
 					$databaseNotAvailableSubpart
 				);
 					// Substitute the subpart for the databases
-				$allModesSubpart = $this->contentObject->substituteSubpart(
+				$allModesSubpart = t3lib_parsehtml::substituteSubpart(
 					$allModesSubpart,
 					'###DATABASELIST###',
 					$databasesSubpart
 				);
 					// Fill the markers in the subpart for all modes
-				$allModesSubpart = $this->contentObject->substituteMarkerArray(
+				$allModesSubpart = t3lib_parsehtml::substituteMarkerArray(
 					$allModesSubpart,
 					$allModesMarkers,
 					'###|###',
@@ -3391,7 +3389,7 @@
 					1
 				);
 					// Substitute the subpart for all modes
-				$form = $this->contentObject->substituteSubpart(
+				$form = t3lib_parsehtml::substituteSubpart(
 					$form,
 					'###ALLMODES###',
 					$allModesSubpart
@@ -3407,7 +3405,7 @@
 						TYPO3_mainDir .
 						'sysext/install/Resources/Public/Javascript/install.js"></script>';
 						// Get the subpart for the regular mode
-					$regularModeSubpart = $this->contentObject->getSubpart($form, '###REGULARMODE###');
+					$regularModeSubpart = t3lib_parsehtml::getSubpart($form, '###REGULARMODE###');
 						// Define the markers content
 					$regularModeMarkers = array(
 						'labelSiteName' => 'Site name:',
@@ -3424,13 +3422,13 @@
 						// Disable exec function
 					if (is_array($fA['disable_exec_function'])) {
 							// Get the subpart for the disable exec function
-						$disableExecFunctionSubpart = $this->contentObject->getSubpart($regularModeSubpart, '###DISABLEEXECFUNCTIONSUBPART###');
+						$disableExecFunctionSubpart = t3lib_parsehtml::getSubpart($regularModeSubpart, '###DISABLEEXECFUNCTIONSUBPART###');
 						$regularModeMarkers['labelDisableExecFunction'] = '[BE][disable_exec_function]=';
 						$regularModeMarkers['strongDisableExecFunction'] = (integer) current($fA['disable_exec_function']);
 						$regularModeMarkers['defaultDisableExecFunction'] = (integer) $GLOBALS['TYPO3_CONF_VARS']['BE']['disable_exec_function'];
 						$regularModeMarkers['disableExecFunction'] = (integer) current($fA['disable_exec_function']);
 							// Fill the markers in the subpart
-						$disableExecFunctionSubpart = $this->contentObject->substituteMarkerArray(
+						$disableExecFunctionSubpart = t3lib_parsehtml::substituteMarkerArray(
 							$disableExecFunctionSubpart,
 							$regularModeMarkers,
 							'###|###',
@@ -3439,7 +3437,7 @@
 						);
 					}
 						// Substitute the subpart for the disable exec function
-					$regularModeSubpart = $this->contentObject->substituteSubpart(
+					$regularModeSubpart = t3lib_parsehtml::substituteSubpart(
 						$regularModeSubpart,
 						'###DISABLEEXECFUNCTIONSUBPART###',
 						$disableExecFunctionSubpart
@@ -3448,13 +3446,13 @@
 						// GDlib
 					if (is_array($fA['gdlib'])) {
 							// Get the subpart for the disable gd lib
-						$gdLibSubpart = $this->contentObject->getSubpart($regularModeSubpart, '###DISABLEGDLIB###');
+						$gdLibSubpart = t3lib_parsehtml::getSubpart($regularModeSubpart, '###DISABLEGDLIB###');
 						$regularModeMarkers['labelGdLib'] = '[GFX][gdlib]=';
 						$regularModeMarkers['strongGdLib'] = (integer) current($fA['gdlib']);
 						$regularModeMarkers['defaultGdLib'] = (integer) $GLOBALS['TYPO3_CONF_VARS']['GFX']['gdlib'];
 						$regularModeMarkers['gdLib'] = (integer) current($fA['gdlib']);
 							// Fill the markers in the subpart
-						$gdLibSubpart = $this->contentObject->substituteMarkerArray(
+						$gdLibSubpart = t3lib_parsehtml::substituteMarkerArray(
 							$gdLibSubpart,
 							$regularModeMarkers,
 							'###|###',
@@ -3463,7 +3461,7 @@
 						);
 					}
 						// Substitute the subpart for the disable gdlib
-					$regularModeSubpart = $this->contentObject->substituteSubpart(
+					$regularModeSubpart = t3lib_parsehtml::substituteSubpart(
 						$regularModeSubpart,
 						'###DISABLEGDLIB###',
 						$gdLibSubpart
@@ -3472,9 +3470,9 @@
 						// GDlib PNG
 					if (is_array($fA['gdlib_png']) && $GLOBALS['TYPO3_CONF_VARS']['GFX']['gdlib']) {
 							// Get the subpart for the gdlib png
-						$gdLibPngSubpart = $this->contentObject->getSubpart($regularModeSubpart, '###GDLIBPNGSUBPART###');
+						$gdLibPngSubpart = t3lib_parsehtml::getSubpart($regularModeSubpart, '###GDLIBPNGSUBPART###');
 							// Get the subpart for the dropdown options
-						$gdLibPngOptionSubpart = $this->contentObject->getSubpart($gdLibPngSubpart, '###GDLIBPNGOPTION###');
+						$gdLibPngOptionSubpart = t3lib_parsehtml::getSubpart($gdLibPngSubpart, '###GDLIBPNGOPTION###');
 						$gdLibPngLabels = $this->setLabelValueArray($fA['gdlib_png'], 2);
 						reset($gdLibPngLabels);
 
@@ -3490,7 +3488,7 @@
 								$gdLibPngMarker['selected'] = 'selected="selected"';
 							}
 								// Fill the markers in the subpart
-							$gdLibPngOptions[] = $this->contentObject->substituteMarkerArray(
+							$gdLibPngOptions[] = t3lib_parsehtml::substituteMarkerArray(
 								$gdLibPngOptionSubpart,
 								$gdLibPngMarker,
 								'###|###',
@@ -3499,13 +3497,13 @@
 							);
 						}
 							// Substitute the subpart for the dropdown options
-						$gdLibPngSubpart = $this->contentObject->substituteSubpart(
+						$gdLibPngSubpart = t3lib_parsehtml::substituteSubpart(
 							$gdLibPngSubpart,
 							'###GDLIBPNGOPTION###',
 							implode(chr(10), $gdLibPngOptions)
 						);
 							// Fill the markers in the subpart
-						$gdLibPngSubpart = $this->contentObject->substituteMarkerArray(
+						$gdLibPngSubpart = t3lib_parsehtml::substituteMarkerArray(
 							$gdLibPngSubpart,
 							$regularModeMarkers,
 							'###|###',
@@ -3514,7 +3512,7 @@
 						);
 					}
 						// Substitute the subpart for the gdlib png
-					$regularModeSubpart = $this->contentObject->substituteSubpart(
+					$regularModeSubpart = t3lib_parsehtml::substituteSubpart(
 						$regularModeSubpart,
 						'###GDLIBPNGSUBPART###',
 						$gdLibPngSubpart
@@ -3523,14 +3521,14 @@
 						// ImageMagick
 					if (is_array($fA['im'])) {
 							// Get the subpart for ImageMagick
-						$imageMagickSubpart = $this->contentObject->getSubpart($regularModeSubpart, '###IMAGEMAGICKSUBPART###');
+						$imageMagickSubpart = t3lib_parsehtml::getSubpart($regularModeSubpart, '###IMAGEMAGICKSUBPART###');
 							// Define the markers content
 						$regularModeMarkers['labelImageMagick'] = '[GFX][im]=';
 						$regularModeMarkers['strongImageMagick'] = (string) current($fA['im']);
 						$regularModeMarkers['defaultImageMagick'] = (integer) $GLOBALS['TYPO3_CONF_VARS']['GFX']['im'];
 						$regularModeMarkers['imageMagick'] = (integer) current($fA['im']);
 							// Fill the markers in the subpart
-						$imageMagickSubpart = $this->contentObject->substituteMarkerArray(
+						$imageMagickSubpart = t3lib_parsehtml::substituteMarkerArray(
 							$imageMagickSubpart,
 							$regularModeMarkers,
 							'###|###',
@@ -3540,14 +3538,14 @@
 
 							// IM Combine Filename
 							// Get the subpart for ImageMagick Combine filename
-						$imCombineFileNameSubpart = $this->contentObject->getSubpart($regularModeSubpart, '###IMCOMBINEFILENAMESUBPART###');
+						$imCombineFileNameSubpart = t3lib_parsehtml::getSubpart($regularModeSubpart, '###IMCOMBINEFILENAMESUBPART###');
 							// Define the markers content
 						$regularModeMarkers['labelImCombineFilename'] = '[GFX][im_combine_filename]';
 						$regularModeMarkers['strongImCombineFilename'] = (string) current($fA['im_combine_filename']);
 						$regularModeMarkers['defaultImCombineFilename'] = (string) $GLOBALS['TYPO3_CONF_VARS']['GFX']['im_combine_filename'];
 						$regularModeMarkers['imCombineFilename'] = (string) ($fA['im_combine_filename'] ? current($fA['im_combine_filename']) : 'combine');
 							// Fill the markers in the subpart
-						$imCombineFileNameSubpart = $this->contentObject->substituteMarkerArray(
+						$imCombineFileNameSubpart = t3lib_parsehtml::substituteMarkerArray(
 							$imCombineFileNameSubpart,
 							$regularModeMarkers,
 							'###|###',
@@ -3557,14 +3555,14 @@
 
 							// IM Version 5
 							// Get the subpart for ImageMagick Version 5
-						$imVersion5Subpart = $this->contentObject->getSubpart($regularModeSubpart, '###IMVERSION5SUBPART###');
+						$imVersion5Subpart = t3lib_parsehtml::getSubpart($regularModeSubpart, '###IMVERSION5SUBPART###');
 							// Define the markers content
 						$regularModeMarkers['labelImVersion5'] = '[GFX][im_version_5]=';
 						$regularModeMarkers['strongImVersion5'] = (string) current($fA['im_version_5']);
 						$regularModeMarkers['defaultImVersion5'] = (string) $GLOBALS['TYPO3_CONF_VARS']['GFX']['im_version_5'];
 						$regularModeMarkers['imVersion5'] = (string) ($fA['im_version_5'] ? current($fA['im_version_5']) : '');
 							// Fill the markers in the subpart
-						$imVersion5Subpart = $this->contentObject->substituteMarkerArray(
+						$imVersion5Subpart = t3lib_parsehtml::substituteMarkerArray(
 							$imVersion5Subpart,
 							$regularModeMarkers,
 							'###|###',
@@ -3576,7 +3574,7 @@
 								// IM Path
 							if (is_array($fA['im_path'])) {
 									// Get the subpart for ImageMagick path
-								$imPathSubpart = $this->contentObject->getSubpart($regularModeSubpart, '###IMPATHSUBPART###');
+								$imPathSubpart = t3lib_parsehtml::getSubpart($regularModeSubpart, '###IMPATHSUBPART###');
 
 								$labelImPath = $this->setLabelValueArray($fA['im_path'], 1);
 								reset($labelImPath);
@@ -3588,7 +3586,7 @@
 								$regularModeMarkers['defaultImPath'] = (string) $GLOBALS['TYPO3_CONF_VARS']['GFX']['im_path'];
 								$regularModeMarkers['ImPath'] = (string) current($imPath);
 									// Fill the markers in the subpart
-								$imPathSubpart = $this->contentObject->substituteMarkerArray(
+								$imPathSubpart = t3lib_parsehtml::substituteMarkerArray(
 									$imPathSubpart,
 									$regularModeMarkers,
 									'###|###',
@@ -3599,9 +3597,9 @@
 								// IM Path LZW
 							if (is_array($fA['im_path_lzw'])) {
 									// Get the subpart for ImageMagick lzw path
-								$imPathLzwSubpart = $this->contentObject->getSubpart($regularModeSubpart, '###IMPATHLZWSUBPART###');
+								$imPathLzwSubpart = t3lib_parsehtml::getSubpart($regularModeSubpart, '###IMPATHLZWSUBPART###');
 									// Get the subpart for ImageMagick lzw path dropdown options
-								$imPathOptionSubpart = $this->contentObject->getSubpart($regularModeSubpart, '###IMPATHLZWOPTION###');
+								$imPathOptionSubpart = t3lib_parsehtml::getSubpart($regularModeSubpart, '###IMPATHLZWOPTION###');
 
 								$labelImPathLzw = $this->setLabelValueArray($fA['im_path_lzw'], 1);
 								reset($labelImPathLzw);
@@ -3624,7 +3622,7 @@
 										$imPathLzwMarker['selected'] = 'selected="selected"';
 									}
 										// Fill the markers in the subpart
-									$imPathLzwOptions[] = $this->contentObject->substituteMarkerArray(
+									$imPathLzwOptions[] = t3lib_parsehtml::substituteMarkerArray(
 										$imPathOptionSubpart,
 										$imPathLzwMarker,
 										'###|###',
@@ -3633,13 +3631,13 @@
 									);
 								}
 									// Substitute the subpart for ImageMagick lzw path dropdown options
-								$imPathLzwSubpart = $this->contentObject->substituteSubpart(
+								$imPathLzwSubpart = t3lib_parsehtml::substituteSubpart(
 									$imPathLzwSubpart,
 									'###IMPATHLZWOPTION###',
 									implode(chr(10), $imPathLzwOptions)
 								);
 									// Fill the markers in the subpart
-								$imPathLzwSubpart = $this->contentObject->substituteMarkerArray(
+								$imPathLzwSubpart = t3lib_parsehtml::substituteMarkerArray(
 									$imPathLzwSubpart,
 									$regularModeMarkers,
 									'###|###',
@@ -3650,31 +3648,31 @@
 						}
 					}
 						// Substitute the subpart for ImageMagick
-					$regularModeSubpart = $this->contentObject->substituteSubpart(
+					$regularModeSubpart = t3lib_parsehtml::substituteSubpart(
 						$regularModeSubpart,
 						'###IMAGEMAGICKSUBPART###',
 						$imageMagickSubpart
 					);
 						// Substitute the subpart for ImageMagick Combine filename
-					$regularModeSubpart = $this->contentObject->substituteSubpart(
+					$regularModeSubpart = t3lib_parsehtml::substituteSubpart(
 						$regularModeSubpart,
 						'###IMCOMBINEFILENAMESUBPART###',
 						$imCombineFileNameSubpart
 					);
 						// Substitute the subpart for ImageMagick Version 5
-					$regularModeSubpart = $this->contentObject->substituteSubpart(
+					$regularModeSubpart = t3lib_parsehtml::substituteSubpart(
 						$regularModeSubpart,
 						'###IMVERSION5SUBPART###',
 						$imVersion5Subpart
 					);
 						// Substitute the subpart for ImageMagick path
-					$regularModeSubpart = $this->contentObject->substituteSubpart(
+					$regularModeSubpart = t3lib_parsehtml::substituteSubpart(
 						$regularModeSubpart,
 						'###IMPATHSUBPART###',
 						$imPathSubpart
 					);
 						// Substitute the subpart for ImageMagick lzw path
-					$regularModeSubpart = $this->contentObject->substituteSubpart(
+					$regularModeSubpart = t3lib_parsehtml::substituteSubpart(
 						$regularModeSubpart,
 						'###IMPATHLZWSUBPART###',
 						$imPathLzwSubpart
@@ -3682,12 +3680,12 @@
 
 						// TrueType Font dpi
 						// Get the subpart for TrueType dpi
-					$ttfDpiSubpart = $this->contentObject->getSubpart($regularModeSubpart, '###TTFDPISUBPART###');
+					$ttfDpiSubpart = t3lib_parsehtml::getSubpart($regularModeSubpart, '###TTFDPISUBPART###');
 						// Define the markers content
 					$regularModeMarkers['labelTtfDpi'] = '[GFX][TTFdpi]=';
 					$regularModeMarkers['ttfDpi'] = htmlspecialchars($GLOBALS['TYPO3_CONF_VARS']['GFX']['TTFdpi']);
 						// Fill the markers in the subpart
-					$ttfDpiSubpart = $this->contentObject->substituteMarkerArray(
+					$ttfDpiSubpart = t3lib_parsehtml::substituteMarkerArray(
 						$ttfDpiSubpart,
 						$regularModeMarkers,
 						'###|###',
@@ -3695,13 +3693,13 @@
 						1
 					);
 						// Substitute the subpart for TrueType dpi
-					$regularModeSubpart = $this->contentObject->substituteSubpart(
+					$regularModeSubpart = t3lib_parsehtml::substituteSubpart(
 						$regularModeSubpart,
 						'###TTFDPISUBPART###',
 						$ttfDpiSubpart
 					);
 						// Fill the markers in the regular mode subpart
-					$regularModeSubpart = $this->contentObject->substituteMarkerArray(
+					$regularModeSubpart = t3lib_parsehtml::substituteMarkerArray(
 						$regularModeSubpart,
 						$regularModeMarkers,
 						'###|###',
@@ -3714,13 +3712,13 @@
 				$formMarkers['labelNotice'] = 'NOTICE:';
 				$formMarkers['labelCommentUpdateLocalConf'] = 'By clicking this button, localconf.php is updated with new values for the parameters listed above!';
 					// Substitute the subpart for regular mode
-				$form = $this->contentObject->substituteSubpart(
+				$form = t3lib_parsehtml::substituteSubpart(
 					$form,
 					'###REGULARMODE###',
 					$regularModeSubpart
 				);
 					// Fill the markers
-				$out = $this->contentObject->substituteMarkerArray(
+				$out = t3lib_parsehtml::substituteMarkerArray(
 					$form,
 					$formMarkers,
 					'###|###',
@@ -3899,9 +3897,9 @@
 			switch($returnVal) {
 				case 'continue':
 						// Get the template part from the file
-					$template = $this->contentObject->getSubpart($templateFile, '###CONTINUE###');
+					$template = t3lib_parsehtml::getSubpart($templateFile, '###CONTINUE###');
 						// Get the subpart for messages
-					$messagesSubPart = $this->contentObject->getSubpart($template, '###MESSAGES###');
+					$messagesSubPart = t3lib_parsehtml::getSubpart($template, '###MESSAGES###');
 
 					$messages = array();
 
@@ -3909,7 +3907,7 @@
 							// Define the markers content
 						$messagesMarkers['message'] = $message;
 							// Fill the markers in the subpart
-						$messages[] = $this->contentObject->substituteMarkerArray(
+						$messages[] = t3lib_parsehtml::substituteMarkerArray(
 							$messagesSubPart,
 							$messagesMarkers,
 							'###|###',
@@ -3918,7 +3916,7 @@
 						);
 					}
 						// Substitute the subpart for messages
-					$content = $this->contentObject->substituteSubpart(
+					$content = t3lib_parsehtml::substituteSubpart(
 						$template,
 						'###MESSAGES###',
 						implode(chr(10), $messages)
@@ -3930,7 +3928,7 @@
 						'label' => 'Click to continue...'
 					);
 						// Fill the markers
-					$content = $this->contentObject->substituteMarkerArray(
+					$content = t3lib_parsehtml::substituteMarkerArray(
 						$content,
 						$markers,
 						'###|###',
@@ -3941,7 +3939,7 @@
 				break;
 				case 'nochange':
 						// Get the template part from the file
-					$template = $this->contentObject->getSubpart($templateFile, '###NOCHANGE###');
+					$template = t3lib_parsehtml::getSubpart($templateFile, '###NOCHANGE###');
 						// Define the markers content
 					$markers = array(
 						'header' => 'Writing to \'localconf.php\'',
@@ -3950,7 +3948,7 @@
 						'label' => 'Click to continue...'
 					);
 						// Fill the markers
-					$content = $this->contentObject->substituteMarkerArray(
+					$content = t3lib_parsehtml::substituteMarkerArray(
 						$template,
 						$markers,
 						'###|###',
@@ -5159,14 +5157,14 @@
 			// Get the template file
 		$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'DisplayTwinImage.html');
 			// Get the template part from the file
-		$template = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+		$template = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 
 		$content = '';
 
 		$errorLevels=array(-1);
 		if ($imageFile) {
 				// Get the subpart for the images
-			$imageSubpart = $this->contentObject->getSubpart($template, '###IMAGE###');
+			$imageSubpart = t3lib_parsehtml::getSubpart($template, '###IMAGE###');
 			$verifyFile = t3lib_extMgm::extPath('install').'verify_imgs/'.basename($imageFile);
 			$destImg = @getImageSize($imageFile);
 			$destImgCode ='<img src="'.$this->backPath.'../'.substr($imageFile,strlen(PATH_site)).'" '.$destImg[3].'>';
@@ -5194,7 +5192,7 @@
 				// Display a warning if the generated image is more than 2KB larger than its reference...
 			if (($destImg['filesize']!=$verifyImg['filesize']) && (intval($destImg['filesize']) && ($destImg['filesize']-$verifyImg['filesize']) > 2048)) {
 					// Get the subpart for the different filesize message
-				$differentFileSizeSubpart = $this->contentObject->getSubpart($imageSubpart, '###DIFFERENTFILESIZE###');
+				$differentFileSizeSubpart = t3lib_parsehtml::getSubpart($imageSubpart, '###DIFFERENTFILESIZE###');
 					// Define the markers content
 				$differentFileSizeMarkers = array(
 					'message' => 'File size is very different from reference',
@@ -5202,7 +5200,7 @@
 					'referenceFileSize' => $verifyImg['filesize']
 				);
 					// Fill the markers in the subpart
-				$differentFileSizeSubpart = $this->contentObject->substituteMarkerArray(
+				$differentFileSizeSubpart = t3lib_parsehtml::substituteMarkerArray(
 					$differentFileSizeSubpart,
 					$differentFileSizeMarkers,
 					'###|###',
@@ -5213,7 +5211,7 @@
 				$errorLevels[]=2;
 			}
 				// Substitute the subpart for different filesize message
-			$imageSubpart = $this->contentObject->substituteSubpart(
+			$imageSubpart = t3lib_parsehtml::substituteSubpart(
 				$imageSubpart,
 				'###DIFFERENTFILESIZE###',
 				$differentFileSizeSubpart
@@ -5221,13 +5219,13 @@
 
 			if ($destImg[0]!=$verifyImg[0] || $destImg[1]!=$verifyImg[1]) {
 					// Get the subpart for the different pixel dimensions message
-				$differentPixelDimensionsSubpart = $this->contentObject->getSubpart($imageSubpart, '###DIFFERENTPIXELDIMENSIONS###');
+				$differentPixelDimensionsSubpart = t3lib_parsehtml::getSubpart($imageSubpart, '###DIFFERENTPIXELDIMENSIONS###');
 					// Define the markers content
 				$differentPixelDimensionsMarkers = array(
 					'message' => 'Pixel dimension are not equal!'
 				);
 					// Fill the markers in the subpart
-				$differentPixelDimensionsSubpart = $this->contentObject->substituteMarkerArray(
+				$differentPixelDimensionsSubpart = t3lib_parsehtml::substituteMarkerArray(
 					$differentPixelDimensionsSubpart,
 					$differentPixelDimensionsMarkers,
 					'###|###',
@@ -5238,7 +5236,7 @@
 				$errorLevels[]=2;
 			}
 					// Substitute the subpart for different pixel dimensions message
-			$imageSubpart = $this->contentObject->substituteSubpart(
+			$imageSubpart = t3lib_parsehtml::substituteSubpart(
 				$imageSubpart,
 				'###DIFFERENTPIXELDIMENSIONS###',
 				$differentPixelDimensionsSubpart
@@ -5246,14 +5244,14 @@
 
 			if ($note) {
 					// Get the subpart for the note
-				$noteSubpart = $this->contentObject->getSubpart($imageSubpart, '###NOTE###');
+				$noteSubpart = t3lib_parsehtml::getSubpart($imageSubpart, '###NOTE###');
 					// Define the markers content
 				$noteMarkers = array(
 					'message' => $note[0],
 					'label' => $note[1]
 				);
 					// Fill the markers in the subpart
-				$noteSubpart = $this->contentObject->substituteMarkerArray(
+				$noteSubpart = t3lib_parsehtml::substituteMarkerArray(
 					$noteSubpart,
 					$noteMarkers,
 					'###|###',
@@ -5262,7 +5260,7 @@
 				);
 			}
 				// Substitute the subpart for the note
-			$imageSubpart = $this->contentObject->substituteSubpart(
+			$imageSubpart = t3lib_parsehtml::substituteSubpart(
 				$imageSubpart,
 				'###NOTE###',
 				$noteSubpart
@@ -5271,7 +5269,7 @@
 			if ($this->dumpImCommands && count($IMcommands)) {
 				$commands = $this->formatImCmds($IMcommands);
 					// Get the subpart for the ImageMagick commands
-				$imCommandsSubpart = $this->contentObject->getSubpart($imageSubpart, '###IMCOMMANDS###');
+				$imCommandsSubpart = t3lib_parsehtml::getSubpart($imageSubpart, '###IMCOMMANDS###');
 					// Define the markers content
 				$imCommandsMarkers = array(
 					'message' => 'ImageMagick commands executed:',
@@ -5279,7 +5277,7 @@
 					'commands' => htmlspecialchars(implode($commands, chr(10)))
 				);
 					// Fill the markers in the subpart
-				$imCommandsSubpart = $this->contentObject->substituteMarkerArray(
+				$imCommandsSubpart = t3lib_parsehtml::substituteMarkerArray(
 					$imCommandsSubpart,
 					$imCommandsMarkers,
 					'###|###',
@@ -5288,13 +5286,13 @@
 				);
 			}
 				// Substitute the subpart for the ImageMagick commands
-			$imageSubpart = $this->contentObject->substituteSubpart(
+			$imageSubpart = t3lib_parsehtml::substituteSubpart(
 				$imageSubpart,
 				'###IMCOMMANDS###',
 				$imCommandsSubpart
 			);
 				// Fill the markers
-			$imageSubpart = $this->contentObject->substituteMarkerArray(
+			$imageSubpart = t3lib_parsehtml::substituteMarkerArray(
 				$imageSubpart,
 				$imageMarkers,
 				'###|###',
@@ -5304,19 +5302,19 @@
 
 		} else {
 				// Get the subpart when no image has been generated
-			$noImageSubpart = $this->contentObject->getSubpart($template, '###NOIMAGE###');
+			$noImageSubpart = t3lib_parsehtml::getSubpart($template, '###NOIMAGE###');
 			$commands = $this->formatImCmds($IMcommands);
 
 			if (count($commands)) {
 					// Get the subpart for the ImageMagick commands
-				$commandsSubpart = $this->contentObject->getSubpart($noImageSubpart, '###COMMANDSAVAILABLE###');
+				$commandsSubpart = t3lib_parsehtml::getSubpart($noImageSubpart, '###COMMANDSAVAILABLE###');
 					// Define the markers content
 				$commandsMarkers = array(
 					'rows' => t3lib_div::intInRange(count($commands), 2, 10),
 					'commands' => htmlspecialchars(implode($commands, chr(10)))
 				);
 					// Fill the markers in the subpart
-				$commandsSubpart = $this->contentObject->substituteMarkerArray(
+				$commandsSubpart = t3lib_parsehtml::substituteMarkerArray(
 					$commandsSubpart,
 					$commandsMarkers,
 					'###|###',
@@ -5325,7 +5323,7 @@
 				);
 			}
 				// Substitute the subpart for the ImageMagick commands
-			$noImageSubpart = $this->contentObject->substituteSubpart(
+			$noImageSubpart = t3lib_parsehtml::substituteSubpart(
 				$noImageSubpart,
 				'###COMMANDSAVAILABLE###',
 				$commandsSubpart
@@ -5336,7 +5334,7 @@
 				'label' => 'Below there\'s a dump of the ImageMagick commands executed:'
 			);
 				// Fill the markers
-			$noImageSubpart = $this->contentObject->substituteMarkerArray(
+			$noImageSubpart = t3lib_parsehtml::substituteMarkerArray(
 				$noImageSubpart,
 				$noImageMarkers,
 				'###|###',
@@ -5347,13 +5345,13 @@
 			$errorLevels[]=3;
 		}
 			// Substitute the subpart when image has been generated
-		$content = $this->contentObject->substituteSubpart(
+		$content = t3lib_parsehtml::substituteSubpart(
 			$template,
 			'###IMAGE###',
 			$imageSubpart
 		);
 			// Substitute the subpart when no image has been generated
-		$content = $this->contentObject->substituteSubpart(
+		$content = t3lib_parsehtml::substituteSubpart(
 			$content,
 			'###NOIMAGE###',
 			$noImageSubpart
@@ -5391,9 +5389,9 @@
 			// Get the template file
 		$template = @file_get_contents(PATH_site . $this->templateFilePath . 'ImageMenu.html');
 			// Get the subpart for the menu
-		$menuSubPart = $this->contentObject->getSubpart($template, '###MENU###');
+		$menuSubPart = t3lib_parsehtml::getSubpart($template, '###MENU###');
 			// Get the subpart for the single item in the menu
-		$menuItemSubPart = $this->contentObject->getSubpart($menuSubPart, '###MENUITEM###');
+		$menuItemSubPart = t3lib_parsehtml::getSubpart($menuSubPart, '###MENUITEM###');
 
 		$menuitems = array(
 			'read' => 'Reading image formats',
@@ -5412,7 +5410,7 @@
 				'item' => $v
 			);
 				// Fill the markers in the subpart
-			$items[] = $this->contentObject->substituteMarkerArray(
+			$items[] = t3lib_parsehtml::substituteMarkerArray(
 				$menuItemSubPart,
 				$markers,
 				'###|###',
@@ -5421,7 +5419,7 @@
 			);
 		}
 			// Substitute the subpart for the single item in the menu
-		$menuSubPart = $this->contentObject->substituteSubpart(
+		$menuSubPart = t3lib_parsehtml::substituteSubpart(
 			$menuSubPart,
 			'###MENUITEM###',
 			implode(chr(10), $items)
@@ -5539,7 +5537,7 @@
 			// Get the template file
 		$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'CheckTheDatabaseMenu.html');
 			// Get the template part from the file
-		$menu = $this->contentObject->getSubpart($templateFile, '###MENU###');
+		$menu = t3lib_parsehtml::getSubpart($templateFile, '###MENU###');
 
 		$menuMarkers = array(
 			'action' => $this->action,
@@ -5559,7 +5557,7 @@
 			'clearTables' => 'Clear tables'
 		);
 			// Get the subpart for extra SQL
-		$extraSql = $this->contentObject->getSubpart($menu, '###EXTRASQL###');
+		$extraSql = t3lib_parsehtml::getSubpart($menu, '###EXTRASQL###');
 
 		$directJump='';
 		$extraSqlFiles = array();
@@ -5583,7 +5581,7 @@
 				'view' => 'VIEW'
 			);
 				// Fill the markers in the subpart
-			$extraSqlFiles[] = $this->contentObject->substituteMarkerArray(
+			$extraSqlFiles[] = t3lib_parsehtml::substituteMarkerArray(
 				$extraSql,
 				$extraSqlMarkers,
 				'###|###',
@@ -5592,13 +5590,13 @@
 			);
 		}
 			// Substitute the subpart for extra SQL
-		$menu = $this->contentObject->substituteSubpart(
+		$menu = t3lib_parsehtml::substituteSubpart(
 			$menu,
 			'###EXTRASQL###',
 			implode(chr(10), $extraSqlFiles)
 		);
 			// Fill the markers
-		$menu = $this->contentObject->substituteMarkerArray(
+		$menu = t3lib_parsehtml::substituteMarkerArray(
 			$menu,
 			$menuMarkers,
 			'###|###',
@@ -5995,27 +5993,27 @@
 									// Get the template file
 								$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'CheckTheDatabaseImport.html');
 									// Get the template part from the file
-								$content = $this->contentObject->getSubpart($templateFile, '###IMPORT###');
+								$content = t3lib_parsehtml::getSubpart($templateFile, '###IMPORT###');
 
 								if ($this->mode!='123') {
 									$tables = array();
 										// Get the subpart for regular mode
-									$regularModeSubpart = $this->contentObject->getSubpart($content, '###REGULARMODE###');
+									$regularModeSubpart = t3lib_parsehtml::getSubpart($content, '###REGULARMODE###');
 									foreach ($statements_table as $table => $definition) {
 											// Get the subpart for rows
-										$tableSubpart = $this->contentObject->getSubpart($content, '###ROWS###');
+										$tableSubpart = t3lib_parsehtml::getSubpart($content, '###ROWS###');
 											// Fill the 'table exists' part when it exists
 										$exist=isset($whichTables[$table]);
 										if ($exist) {
 												// Get the subpart for table exists
-											$existSubpart = $this->contentObject->getSubpart($tableSubpart, '###EXIST###');
+											$existSubpart = t3lib_parsehtml::getSubpart($tableSubpart, '###EXIST###');
 												// Define the markers content
 											$existMarkers = array (
 												'tableExists' => 'Table exists!',
 												'backPath' => $this->backPath
 											);
 												// Fill the markers in the subpart
-											$existSubpart = $this->contentObject->substituteMarkerArray(
+											$existSubpart = t3lib_parsehtml::substituteMarkerArray(
 												$existSubpart,
 												$existMarkers,
 												'###|###',
@@ -6024,7 +6022,7 @@
 											);
 										}
 											// Substitute the subpart for table exists
-										$tableHtml = $this->contentObject->substituteSubpart(
+										$tableHtml = t3lib_parsehtml::substituteSubpart(
 											$tableSubpart,
 											'###EXIST###',
 											$existSubpart
@@ -6039,7 +6037,7 @@
 											'backPath' => $this->backPath
 										);
 											// Fill the markers
-										$tables[] = $this->contentObject->substituteMarkerArray(
+										$tables[] = t3lib_parsehtml::substituteMarkerArray(
 											$tableHtml,
 											$tableMarkers,
 											'###|###',
